
void _efl_ui_widget_part_shadow_efl_gfx_color_color_set(Eo *obj, void *pd, int r, int g, int b, int a);


void _efl_ui_widget_part_shadow_efl_gfx_color_color_get(const Eo *obj, void *pd, int *r, int *g, int *b, int *a);


void _efl_ui_widget_part_shadow_efl_gfx_blur_radius_set(Eo *obj, void *pd, double rx, double ry);


void _efl_ui_widget_part_shadow_efl_gfx_blur_radius_get(const Eo *obj, void *pd, double *rx, double *ry);


void _efl_ui_widget_part_shadow_efl_gfx_blur_offset_set(Eo *obj, void *pd, double ox, double oy);


void _efl_ui_widget_part_shadow_efl_gfx_blur_offset_get(const Eo *obj, void *pd, double *ox, double *oy);


void _efl_ui_widget_part_shadow_efl_gfx_blur_grow_set(Eo *obj, void *pd, double radius);


double _efl_ui_widget_part_shadow_efl_gfx_blur_grow_get(const Eo *obj, void *pd);


void _efl_ui_widget_part_shadow_efl_gfx_filter_filter_program_set(Eo *obj, void *pd, const char *code, const char *name);


void _efl_ui_widget_part_shadow_efl_gfx_filter_filter_program_get(const Eo *obj, void *pd, const char **code, const char **name);


void _efl_ui_widget_part_shadow_efl_gfx_filter_filter_source_set(Eo *obj, void *pd, const char *name, Efl_Gfx_Entity *source);


Efl_Gfx_Entity *_efl_ui_widget_part_shadow_efl_gfx_filter_filter_source_get(const Eo *obj, void *pd, const char *name);


void _efl_ui_widget_part_shadow_efl_gfx_filter_filter_data_set(Eo *obj, void *pd, const char *name, const char *value, Eina_Bool execute);


void _efl_ui_widget_part_shadow_efl_gfx_filter_filter_data_get(const Eo *obj, void *pd, const char *name, const char **value, Eina_Bool *execute);

static void __eolian_efl_ui_widget_part_shadow_efl_gfx_filter_filter_data_get(const Eo *obj, void *pd, const char *name, const char **value, Eina_Bool *execute)
{
   if (execute) *execute = EINA_FALSE;
   _efl_ui_widget_part_shadow_efl_gfx_filter_filter_data_get(obj, pd, name, value, execute);
}


void _efl_ui_widget_part_shadow_efl_gfx_filter_filter_padding_get(const Eo *obj, void *pd, int *l, int *r, int *t, int *b);


void _efl_ui_widget_part_shadow_efl_gfx_filter_filter_state_set(Eo *obj, void *pd, const char *cur_state, double cur_val, const char *next_state, double next_val, double pos);


void _efl_ui_widget_part_shadow_efl_gfx_filter_filter_state_get(const Eo *obj, void *pd, const char **cur_state, double *cur_val, const char **next_state, double *next_val, double *pos);


static Eina_Bool
_efl_ui_widget_part_shadow_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_WIDGET_PART_SHADOW_EXTRA_OPS
#define EFL_UI_WIDGET_PART_SHADOW_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_color_set, _efl_ui_widget_part_shadow_efl_gfx_color_color_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_color_get, _efl_ui_widget_part_shadow_efl_gfx_color_color_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_blur_radius_set, _efl_ui_widget_part_shadow_efl_gfx_blur_radius_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_blur_radius_get, _efl_ui_widget_part_shadow_efl_gfx_blur_radius_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_blur_offset_set, _efl_ui_widget_part_shadow_efl_gfx_blur_offset_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_blur_offset_get, _efl_ui_widget_part_shadow_efl_gfx_blur_offset_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_blur_grow_set, _efl_ui_widget_part_shadow_efl_gfx_blur_grow_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_blur_grow_get, _efl_ui_widget_part_shadow_efl_gfx_blur_grow_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_program_set, _efl_ui_widget_part_shadow_efl_gfx_filter_filter_program_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_program_get, _efl_ui_widget_part_shadow_efl_gfx_filter_filter_program_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_source_set, _efl_ui_widget_part_shadow_efl_gfx_filter_filter_source_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_source_get, _efl_ui_widget_part_shadow_efl_gfx_filter_filter_source_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_data_set, _efl_ui_widget_part_shadow_efl_gfx_filter_filter_data_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_data_get, __eolian_efl_ui_widget_part_shadow_efl_gfx_filter_filter_data_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_padding_get, _efl_ui_widget_part_shadow_efl_gfx_filter_filter_padding_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_state_set, _efl_ui_widget_part_shadow_efl_gfx_filter_filter_state_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_state_get, _efl_ui_widget_part_shadow_efl_gfx_filter_filter_state_get),
      EFL_UI_WIDGET_PART_SHADOW_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_widget_part_shadow_class_desc = {
   EO_VERSION,
   "Efl.Ui.Widget_Part_Shadow",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_ui_widget_part_shadow_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_widget_part_shadow_class_get, &_efl_ui_widget_part_shadow_class_desc, EFL_UI_WIDGET_PART_CLASS, EFL_GFX_COLOR_MIXIN, EFL_GFX_BLUR_INTERFACE, EFL_GFX_FILTER_INTERFACE, NULL);
